Debian セキュリティ勧告

DSA-989-1 zoph -- SQL インジェクション

報告日時:
2006-03-09
影響を受けるパッケージ:
zoph
危険性:
あり
参考セキュリティデータベース:
Debian バグ追跡システム: バグ 350717.
Mitre の CVE 辞書: CVE-2006-0402.
詳細:

Neil McBride さんが、ウェブベースの写真管理システム Zoph が写真検索に渡される入力のサニタイズを十分に行っていないことを発見しました。SQL インジェクション攻撃を経由した SQL コマンドの実行につながる可能性があります。

旧安定版 (old stable) ディストリビューション (woody) には zoph パッケージは含まれません。

安定版 (stable) ディストリビューション (sarge) では、この問題はバージョン 0.3.3-12sarge1 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、この問題はバージョン 0.5-1 で修正されています。

直ちに zoph パッケージをアップグレードすることを勧めます。

修正:

Debian GNU/Linux 3.1 (sarge)

ソース:
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3-12sarge1.dsc
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3-12sarge1.diff.gz
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3.orig.tar.gz
アーキテクチャ非依存コンポーネント:
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3-12sarge1_all.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。